Summary: Computer chess program
Name: gnuchess
Version: 4.0.pl77
Release: 1
Copyright: GPL
Group: Games
Icon: xchess.gif
Source: prep.ai.mit.edu:/pub/gnu/gnuchess-4.0.pl77.tar.gz
Patch: gnuchess-4.0.pl75-fsstnd.patch

%description
This is the famous GNU chess program.  It is text based, but 
can be used in conjunction with xboard to play X based chess.

%prep 
%setup
%patch -p1

%build
cd src
rm -f config.status config.cache
./configure --prefix=/usr
make "CC=gcc $RPM_OPT_FLAGS" LDFLAGS=-s

%install
mkdir -p /usr/lib/games/gnuchess
cd src
make install

strip /usr/bin/gnuchess /usr/bin/gnuchessr /usr/bin/gnuchessn
strip /usr/bin/gnuchessx /usr/bin/gnuchessc /usr/bin/postprint
strip /usr/bin/gnuan /usr/bin/game

%files
/usr/bin/gnuchess
/usr/bin/gnuchessr
/usr/bin/gnuchessn
/usr/bin/gnuchessx
/usr/bin/gnuchessc
/usr/bin/postprint
/usr/bin/gnuan
/usr/bin/game
/usr/lib/games/gnuchess/gnuchess.lang
/usr/lib/games/gnuchess/eco.pgn
/usr/lib/games/gnuchess/gnuchess.data
/usr/lib/games/gnuchess/gnuchess.eco
/usr/man/man6/game.6
/usr/man/man6/gnuan.6
/usr/man/man6/gnuchess.6
/usr/man/man6/postprint.6
